From f6ade5a525cd8930bdcfd71b82a1b19dbe668961 Mon Sep 17 00:00:00 2001
From: tenzap <fabstz-it@yahoo.fr>
Date: Mon, 19 Jun 2023 20:17:30 +0200
Subject: [PATCH 1/8] Fix phpunit 9 deprecation warning

 Output was produced with:
 .
   phpunit --migrate-configuration
 .
 Error was:
 .
 Warning:       Your XML configuration validates against a deprecated schema.
 Suggestion:    Migrate your XML configuration using "--migrate-configuration"!
---
 tests/phpunit.xml | 36 +++++++++++++-----------------------
 1 file changed, 13 insertions(+), 23 deletions(-)

--- a/tests/phpunit.xml
+++ b/tests/phpunit.xml
@@ -1,25 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-
-<phpunit
-	bootstrap="./Bootstrap.php"
-	colors="true"
-	convertNoticesToExceptions="true"
-	convertWarningsToExceptions="true"
-	stopOnError="false"
-	stopOnFailure="false"
-	stopOnIncomplete="false"
-	stopOnSkipped="false"
-	beStrictAboutTestsThatDoNotTestAnything="false">
-	<testsuites>
-		<testsuite name="CodeIgniter Core Test Suite">
-			<directory suffix="test.php">./codeigniter/core</directory>
-			<directory suffix="test.php">./codeigniter/helpers</directory>
-			<directory suffix="test.php">./codeigniter/libraries</directory>
-		</testsuite>
-	</testsuites>
-	<filter>
-		<whitelist>
-			<directory suffix=".php">../system/</directory>
-		</whitelist>
-	</filter>
+<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" bootstrap="./Bootstrap.php" colors="true" convertNoticesToExceptions="true" convertWarningsToExceptions="true" stopOnError="false" stopOnFailure="false" stopOnIncomplete="false" stopOnSkipped="false" beStrictAboutTestsThatDoNotTestAnything="false" xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.3/phpunit.xsd">
+  <coverage>
+    <include>
+      <directory suffix=".php">../system/</directory>
+    </include>
+  </coverage>
+  <testsuites>
+    <testsuite name="CodeIgniter Core Test Suite">
+      <directory suffix="test.php">./codeigniter/core</directory>
+      <directory suffix="test.php">./codeigniter/helpers</directory>
+      <directory suffix="test.php">./codeigniter/libraries</directory>
+    </testsuite>
+  </testsuites>
 </phpunit>
